Bug 300931 - intel 3945 wireless stopped working after upgrading to 2.6.23-0.187.rc6.git7.fc8 and higher kernels from development repo
intel 3945 wireless stopped working after upgrading to 2.6.23-0.187.rc6.git7....
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-21 14:13 EDT by Naresh
Modified: 2008-02-16 10:35 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-01 10:32:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
iwl3945 dmesg log (16.79 KB, application/x-bzip2)
2007-09-25 00:00 EDT, Naresh
no flags Details
lspci -vv output on a working kernel (26.40 KB, text/plain)
2008-02-10 16:53 EST, Kasper Dupont
no flags Details
lspci -vv output on a defect kernel (26.38 KB, text/plain)
2008-02-10 16:54 EST, Kasper Dupont
no flags Details

  None (edit)
Description Naresh 2007-09-21 14:13:40 EDT
Description of problem:

iwl3945 wireless stopped working after upgrading to the latest kernel available
in the development repo

Linux fallenangel 2.6.23-0.187.rc6.git7.fc8 #1 SMP Tue Sep 18 18:05:52 EDT 2007
i686 i686 i386 GNU/Linux

Version-Release number of selected component (if applicable):

kernel-2.6.23-0.189.rc6.git8.fc8
kernel-2.6.23-0.187.rc6.git7.fc8

iwl3945-firmware-2.14.1.5-2

How reproducible:

Always

Steps to Reproduce:

1. Boot into the above mentioned kernels
2. Open system-config-network(aka neat)
3. Make sure all other networks are 'inactive'
4. Start the wireless network (wlan0)
5. Wireless network will not get activated. You'll see the following errors

Error for wireless request "Set Mode" (8B06) :
    SET failed on device wlan0 ; Device or resource busy.

PS:: The same configuration is working for me before upgrading to these kernels

6. Going thru the system log gives the following errors.

[root@fallenangel default]# dmesg | grep -e iwl -e wlan0
iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux,
0.1.15kds
iwl3945: Copyright(c) 2003-2007 Intel Corporation
iwl3945: Detected Intel PRO/Wireless 3945ABG Network Connection
iwl3945: Tunable channels: 11 802.11bg, 13 802.11a channels
wmaster0: Selected rate control algorithm 'iwl-3945-rs'
ADDRCONF(NETDEV_UP): wlan0: link is not ready
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:15:e9:02:a9:d2
wlan0: authenticate with AP 00:15:e9:02:a9:d2
wlan0: RX authentication from 00:15:e9:02:a9:d2 (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:15:e9:02:a9:d2
wlan0: RX AssocResp from 00:15:e9:02:a9:d2 (capab=0x421 status=0 aid=1)
wlan0: associated
wlan0: switched to short barker preamble (BSSID=00:15:e9:02:a9:d2)
ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
wlan0: no IPv6 routers present
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000000 cmd REPLY_SCAN_CMD (0x80) seq 0x4439 ser
0x00000000
iwl3945: Can't stop Rx DMA.
ADDRCONF(NETDEV_UP): wlan0: link is not ready

  
Actual results:

Wireless networking is not getting activated.

Expected results:

Wireless networking should work with both network manager and
system-config-network commands.

Additional info:

It seems that < 24hrs back the NetworkManager is upgraded from 0.6.x series to
0.7.x series, not sure if that is the reason for this breakage. Also, since this
is not working with both neat and networkmanager i dont think networkmanager is
the suspect.
Comment 1 Naresh 2007-09-23 02:16:46 EDT
==> Same problem with the latest kernel in the development repo.

[nareshv@fallenangel ~]$ uname -a
Linux fallenangel 2.6.23-0.193.rc7.git1.fc8 #1 SMP Thu Sep 20 20:07:21 EDT 2007
i686 i686 i386 GNU/Linux

[nareshv@fallenangel ~]$ dmesg | grep -e wlan0 -e iwl
iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux,
0.1.15kds
iwl3945: Copyright(c) 2003-2007 Intel Corporation
iwl3945: Detected Intel PRO/Wireless 3945ABG Network Connection
iwl3945: Tunable channels: 11 802.11bg, 13 802.11a channels
wmaster0: Selected rate control algorithm 'iwl-3945-rs'
ADDRCONF(NETDEV_UP): wlan0: link is not ready
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:15:e9:02:a9:d2
wlan0: RX authentication from 00:15:e9:02:a9:d2 (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:15:e9:02:a9:d2
wlan0: RX AssocResp from 00:15:e9:02:a9:d2 (capab=0x421 status=0 aid=1)
wlan0: associated
wlan0: switched to short barker preamble (BSSID=00:15:e9:02:a9:d2)
wlan0: disassociate(reason=3)
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000000 cmd REPLY_SCAN_CMD (0x80) seq 0x4437 ser
0x00000000
wlan0: failed to restore operationalchannel after scan
iwl3945: Can't stop Rx DMA.
iwl3945: No space for Tx
iwl3945: Error sending REPLY_ADD_STA: iwl_enqueue_hcmd failed: -28
iwl3945: Error sending REPLY_TX_PWR_TABLE_CMD: time out after 500ms.
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000000 cmd UNKNOWN (0x00) seq 0x0000 ser 0x00000000
iwl3945: Can't stop Rx DMA.
iwl3945: REPLY_ADD_STA failed
iwl3945: Microcode SW error detected.  Restarting 0x82000008.
iwl3945: Error Reply type 0x00000000 cmd REPLY_SCAN_CMD (0x80) seq 0x4419 ser
0x00000000
iwl3945: Can't stop Rx DMA.
ADDRCONF(NETDEV_UP): wlan0: link is not ready
Comment 2 Naresh 2007-09-25 00:00:04 EDT
Created attachment 204801 [details]
iwl3945 dmesg log
Comment 3 Naresh 2007-09-25 00:03:55 EDT
problem still happening in the latest kernel.

Linux fallenangel 2.6.23-0.195.rc7.git3.fc8 #1 SMP Sat Sep 22 08:33:35 EDT 2007
i686 i686 i386 GNU/Linux


Tried the steps in
http://www.mail-archive.com/linux-kernel@vger.kernel.org/msg168744.html and
reported the above demsg log
Comment 4 John W. Linville 2007-09-28 10:02:53 EDT
kernel-2.6.23-0.212.rc8.git2.fc8 contains a sizeable iwlwifi update.  Can you 
replicate the issue w/ current rawhide kernels?
Comment 5 Naresh 2007-10-01 03:52:54 EDT
I'd tried to upgrade to the latest kernel . But, it seems the packages are
broken (not rsync'd?)


[nareshv@fallenangel ~]$ sudo yum update  --exclude=gstreamer-plugins-bad
Loading "skip-broken" plugin
Loading "refresh-updatesd" plugin
Excluding Packages in global exclude list
Finished
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package kernel-headers.i386 0:2.6.23-0.204.rc8.fc8 set to be updated
---> Package kernel-devel.i686 0:2.6.23-0.204.rc8.fc8 set to be updated
---> Package kernel.i686 0:2.6.23-0.204.rc8.fc8 set to be updated
--> Finished Dependency Resolution
--> Running transaction check
---> Package kernel-devel.i686 0:2.6.23-0.195.rc7.git3.fc8 set to be erased
---> Package kernel.i686 0:2.6.23-0.195.rc7.git3.fc8 set to be erased
--> Finished Dependency Resolution
Total download size: 22 M
Is this ok [y/N]: y
Downloading Packages:
http://ftp.kddilabs.jp/Linux/packages/fedora/development/i386/os/Packages/kernel-2.6.23-0.204.rc8.fc8.i686.rpm:
[Errno 14] HTTP Error 404: Not Found

<..... snip......>

Error Downloading Packages:
  kernel-devel - 2.6.23-0.204.rc8.fc8.i686: failure:
Packages/kernel-devel-2.6.23-0.204.rc8.fc8.i686.rpm from development: [Errno
256] No more mirrors to try.
  kernel-headers - 2.6.23-0.204.rc8.fc8.i386: failure:
Packages/kernel-headers-2.6.23-0.204.rc8.fc8.i386.rpm from development: [Errno
256] No more mirrors to try.
  kernel - 2.6.23-0.204.rc8.fc8.i686: failure:
Packages/kernel-2.6.23-0.204.rc8.fc8.i686.rpm from development: [Errno 256] No
more mirrors to try.
Comment 6 John W. Linville 2007-10-01 09:09:32 EDT
You might try downloading them directly from here:

http://koji.fedoraproject.org/koji/buildinfo?buildID=19785
Comment 7 Naresh 2007-10-01 10:25:09 EDT
ok.. upgraded to the latest kernel using yum. now the wireless is working as
previous.

Linux fallenangel 2.6.23-0.214.rc8.git2.fc8 #1 SMP Fri Sep 28 17:38:00 EDT 2007
i686 i686 i386 GNU/Linux

[nareshv@fallenangel ~]$ /sbin/iwconfig wlan0

wlan0     IEEE 802.11g  ESSID:"XXX"  
          Mode:Managed  Frequency:2.437 GHz  Access Point: XXXXX
          Bit Rate=18 Mb/s   Tx-Power=27 dBm   
          Retry min limit:7   RTS thr:off   Fragment thr=2346 B   
          Link Quality=88/100  Signal level=-45 dBm  Noise level=-87 dBm
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0


I'd tested this with multiple access points and i dont see any problems at all!.

Comment 8 Kasper Dupont 2008-02-02 11:01:42 EST
I'm seeing similar problems with the latest kernel for Fedora 8.

Last known working kernel:
kernel-2.6.23.8-63.fc8

With these versions DHCP times out:
kernel-2.6.23.9-85.fc8
kernel-2.6.23.14-107.fc8
Comment 9 Kasper Dupont 2008-02-10 16:50:25 EST
This is still broken in kernel-2.6.23.14-115.fc8, is there going to be a fix for
this bug? This is bug is a showstopper.

diff of lspci -vv output between a working (2.6.23.8-63.fc8) and defect
(2.6.23.14-115.fc8) kernel revealed this:

@@ -363,16 +363,15 @@
 
 03:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network
Connection (rev 02)
        Subsystem: Intel Corporation Unknown device 1001
-       Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx+
+       Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
-       Latency: 0
-       Interrupt: pin A routed to IRQ 218
+       Interrupt: pin A routed to IRQ 17
        Region 0: Memory at 6a200000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [c8] Power Management version 2
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA
PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
-       Capabilities: [d0] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable+
-               Address: 00000000fee0300c  Data: 413a
+       Capabilities: [d0] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable-
+               Address: 00000000fee0300c  Data: 414a
        Capabilities: [e0] Express (v1) Legacy Endpoint, MSI 00
                DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <512ns,
L1 unlimited
                        ExtTag- AttnBtn- AttnInd- PwrInd- RBE- FLReset-
Comment 10 Kasper Dupont 2008-02-10 16:53:43 EST
Created attachment 294516 [details]
lspci -vv output on a working kernel
Comment 11 Kasper Dupont 2008-02-10 16:54:20 EST
Created attachment 294517 [details]
lspci -vv output on a defect kernel
Comment 12 Kasper Dupont 2008-02-16 10:35:50 EST
Still doesn't work for me with kernel-2.6.23.15-137.fc8.

Note You need to log in before you can comment on or make changes to this bug.